## misspell-fixer 0.3

=== Makefile ===
#!/usr/bin/make

.PHONY: test prepare_environment coveralls

all: lint_dicts $(wildcard rules/*.sed)

rules/%.sed: dict/%.dict
	./util/convert-dict-to-sed.pl <$< >./$@
	chmod a+x ./$@

lint_dicts:
	./util/lint-dicts.sh

ifeq ($(wildcard /usr/local/bin/kcov),)
    KCOV_BIN = kcov
else
    KCOV_BIN = /usr/local/bin/kcov
endif

ifeq ($(wildcard shunit2-2.1.7),)
    SHUNIT_PREFIX = ""
else
    SHUNIT_PREFIX = shunit2-2.1.7/
endif

KCOV=${KCOV_BIN} --include-pattern=misspell-fixer/misspell-fixer,misspell-fixer/lib --path-strip-level=1
COV_DIR=/tmp/coverage
KCOV_WITH_ENV=env -i COVERAGE_WRAPPER="${KCOV} ${COV_DIR}-forks $(CURDIR)/test/coverage_wrapper.sh" SHUNIT_PREFIX=${SHUNIT_PREFIX} ${KCOV}
test_with_coverage:
	${KCOV_WITH_ENV} ${COV_DIR}-main test/tests.sh &&\
	${KCOV_WITH_ENV} --coveralls-id=${TRAVIS_JOB_ID} --merge ${COV_DIR} ${COV_DIR}-main ${COV_DIR}-forks

test:
	/bin/bash -c 'source test/tests.sh'

test_self:
	env -i SHUNIT_PREFIX=${SHUNIT_PREFIX}test/self-spelling-test.sh

prepare_environment:
	sudo apt-get update -qq
	sudo apt-get install -y elfutils libdw1 libasm1 libdw-dev libelf-dev libcurl4-openssl-dev cmake g++ zlib1g-dev python3
	curl -L "https://github.com/kward/shunit2/archive/v2.1.7.tar.gz" | tar zx
	cd /tmp;git clone https://github.com/SimonKagstrom/kcov
	cd /tmp/kcov;cmake ./;make;sudo make install

man:
	ronn --roff --manual=misspell-fixer README.md
	sed -i -e 's/README/misspell-fixer/g' -e '/travis/d' -e '/Jump to docker/d' README
	sed -i '/.TH /a .SH NAME\
	misspell-fixer \- misspell-fixer' README
	mv README doc/misspell-fixer.1

=== debian/changelog ===
misspell-fixer (0.3-1) unstable; urgency=low

  * Default tests are executed without coverage report to depend less on kcov.

 -- Lajos Veres <vlajos+debian@gmail.com>  Thu, 30 Jan 2020 21:16:29 +0000

misspell-fixer (0.2-1) unstable; urgency=low

  * Documentation updates
  * Debian packaging tweaks:
    - Update to Standards-Version: 4.4.1
    - Multi-Arch: foreign
    - Remove redundant files
    - Autopkgtest control file
    - Transition to debhelper-compat build-dependency from debian/compat

 -- Lajos Veres <vlajos+debian@gmail.com>  Sun, 29 Dec 2019 23:05:37 +0000

misspell-fixer (0.1-1) unstable; urgency=medium

  * Initial release (Closes: #895712)

 -- Lajos Veres <vlajos+debian@gmail.com>  Tue, 01 Oct 2019 23:20:13 +0100

=== debian/control ===
Source: misspell-fixer
Section: devel
Priority: optional
Maintainer: Lajos Veres <vlajos+debian@gmail.com>
Build-Depends: ruby-ronn, shunit2 (>= 2.1.6-1.1), debhelper-compat (= 12)
Standards-Version: 4.4.1
Homepage: https://github.com/vlajos/misspell-fixer
Vcs-Browser: https://github.com/vlajos/misspell-fixer
Vcs-Git: https://github.com/vlajos/misspell-fixer.git
Rules-Requires-Root: no

Package: misspell-fixer
Architecture: all
Multi-Arch: foreign
Depends: grep (>= 2.28), ${misc:Depends}
Description: Tool for fixing common misspellings, typos in source code
 Utility to fix common misspellings, typos in source code.
 There are lots of typical misspellings in program code.
 Typically they are more eye-catching in the living code but they can easily
 hide in comments, examples, samples, notes and documentation.
 With this utility you can fix a large number of them very quickly.

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%misspell-fixer-$1.tar.gz%" \
    https://github.com/vlajos/misspell-fixer/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## misspell-fixer 0.4

=== Makefile ===
--- 
+++ 
@@ -38,7 +38,7 @@
 
 prepare_environment:
 	sudo apt-get update -qq
-	sudo apt-get install -y elfutils libdw1 libasm1 libdw-dev libelf-dev libcurl4-openssl-dev cmake g++ zlib1g-dev python3
+	sudo apt-get install -y elfutils libdw1 libasm1 libdw-dev libelf-dev libcurl4-openssl-dev cmake g++ zlib1g-dev python3 libssl-dev
 	curl -L "https://github.com/kward/shunit2/archive/v2.1.7.tar.gz" | tar zx
 	cd /tmp;git clone https://github.com/SimonKagstrom/kcov
 	cd /tmp/kcov;cmake ./;make;sudo make install
@@ -48,4 +48,5 @@
 	sed -i -e 's/README/misspell-fixer/g' -e '/travis/d' -e '/Jump to docker/d' README
 	sed -i '/.TH /a .SH NAME\
 	misspell-fixer \- misspell-fixer' README
-	mv README doc/misspell-fixer.1
+	sed -e "s/\\\'/'/g" README >doc/misspell-fixer.1
+	rm README

=== debian/changelog ===
misspell-fixer (0.4-1) unstable; urgency=medium

  * Option to respect .gitignore
  * Exclude .mov, .mp3 and .jar
  * Update debian Standards version
  * Doc updates
  * Make tests timezone sign independent
  * -w option to override whitelist file
  * Use .github/.misspell-fixer.ignore automatically if it exist

 -- Lajos Veres <vlajos+debian@gmail.com>  Sat, 09 Jan 2021 09:30:35 +0000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: devel
 Priority: optional
 Maintainer: Lajos Veres <vlajos+debian@gmail.com>
-Build-Depends: ruby-ronn, shunit2 (>= 2.1.6-1.1), debhelper-compat (= 12)
-Standards-Version: 4.4.1
+Build-Depends: ruby-ronn, shunit2 (>= 2.1.6-1.1), debhelper-compat (= 13)
+Standards-Version: 4.5.1
 Homepage: https://github.com/vlajos/misspell-fixer
 Vcs-Browser: https://github.com/vlajos/misspell-fixer
 Vcs-Git: https://github.com/vlajos/misspell-fixer.git
@@ -13,6 +13,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: grep (>= 2.28), ${misc:Depends}
+Recommends: git
 Description: Tool for fixing common misspellings, typos in source code
  Utility to fix common misspellings, typos in source code.
  There are lots of typical misspellings in program code.

=== debian/tests/control ===
Test-command: make test
Depends: shunit2 (>= 2.1.6-1.1), git
Restrictions: allow-stderr

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%misspell-fixer-$1.tar.gz%,\
    pgpsigurlmangle=s/archive\/v(\d\S+)\.tar\.gz/releases\/download\/v$1\/misspell-fixer-$1\.tar\.gz\.asc/" \
    https://github.com/vlajos/misspell-fixer/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## misspell-fixer 0.5

=== Makefile ===
--- 
+++ 
@@ -17,10 +17,10 @@
     KCOV_BIN = /usr/local/bin/kcov
 endif
 
-ifeq ($(wildcard shunit2-2.1.7),)
+ifeq ($(wildcard shunit2-2.1.8),)
     SHUNIT_PREFIX = ""
 else
-    SHUNIT_PREFIX = shunit2-2.1.7/
+    SHUNIT_PREFIX = shunit2-2.1.8/
 endif
 
 KCOV=${KCOV_BIN} --include-pattern=misspell-fixer/misspell-fixer,misspell-fixer/lib --path-strip-level=1
@@ -39,7 +39,7 @@
 prepare_environment:
 	sudo apt-get update -qq
 	sudo apt-get install -y elfutils libdw1 libasm1 libdw-dev libelf-dev libcurl4-openssl-dev cmake g++ zlib1g-dev python3 libssl-dev
-	curl -L "https://github.com/kward/shunit2/archive/v2.1.7.tar.gz" | tar zx
+	curl -L "https://github.com/kward/shunit2/archive/v2.1.8.tar.gz" | tar zx
 	cd /tmp;git clone https://github.com/SimonKagstrom/kcov
 	cd /tmp/kcov;cmake ./;make;sudo make install

=== debian/changelog ===
misspell-fixer (0.5-1) unstable; urgency=medium

  * Use ugrep if available. Closes: #1002509.
  * Update docs.
  * Treat tiff, svg files as binary.
  * Fix race condition in process substitution.
    Closes: #1026664, #1026771.
  * Update debian Standards-Version.

 -- Lajos Veres <vlajos+debian@gmail.com>  Wed, 04 Jan 2023 00:01:32 +0000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: devel
 Priority: optional
 Maintainer: Lajos Veres <vlajos+debian@gmail.com>
-Build-Depends: ruby-ronn, shunit2 (>= 2.1.6-1.1), debhelper-compat (= 13)
-Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 13), ruby-ronn, shunit2 (>= 2.1.6-1.1)
+Standards-Version: 4.6.1
 Homepage: https://github.com/vlajos/misspell-fixer
 Vcs-Browser: https://github.com/vlajos/misspell-fixer
 Vcs-Git: https://github.com/vlajos/misspell-fixer.git
@@ -12,8 +12,8 @@
 Package: misspell-fixer
 Architecture: all
 Multi-Arch: foreign
-Depends: grep (>= 2.28), ${misc:Depends}
-Recommends: git
+Depends: ugrep | grep (>= 2.28), ${misc:Depends}
+Recommends: git, ugrep
 Description: Tool for fixing common misspellings, typos in source code
  Utility to fix common misspellings, typos in source code.
  There are lots of typical misspellings in program code.

## misspell-fixer 0.6

=== Makefile ===
--- 
+++ 
@@ -38,9 +38,8 @@
 
 prepare_environment:
 	sudo apt-get update -qq
-	sudo apt-get install -y elfutils libdw1 libasm1 libdw-dev libelf-dev libcurl4-openssl-dev cmake g++ zlib1g-dev python3 libssl-dev
-	curl -L "https://github.com/kward/shunit2/archive/v2.1.8.tar.gz" | tar zx
-	cd /tmp;git clone https://github.com/SimonKagstrom/kcov
+	sudo apt-get install -y elfutils libdw1 libasm1 libdw-dev libelf-dev libcurl4-openssl-dev cmake g++ zlib1g-dev python3 libssl-dev shunit2
+	cd /tmp;git clone --branch v41 https://github.com/SimonKagstrom/kcov kcov
 	cd /tmp/kcov;cmake ./;make;sudo make install
 
 man:

=== debian/changelog ===
misspell-fixer (0.6-1) unstable; urgency=medium

  * Disable the debug output's automated test since that's bash
    version specific. Closes: #1114207.
  * Update docs.
  * Update debian Standards-Version.

 -- Lajos Veres <vlajos+debian@gmail.com>  Fri, 19 Sep 2025 22:06:32 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Lajos Veres <vlajos+debian@gmail.com>
 Build-Depends: debhelper-compat (= 13), ruby-ronn, shunit2 (>= 2.1.6-1.1)
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Homepage: https://github.com/vlajos/misspell-fixer
 Vcs-Browser: https://github.com/vlajos/misspell-fixer
 Vcs-Git: https://github.com/vlajos/misspell-fixer.git

=== debian/tests/control ===
Test-command: make test
Depends: git, shunit2 (>= 2.1.6-1.1)
Restrictions: allow-stderr

=== debian/watch ===
version=4

opts="pgpsigurlmangle=s/archive\/v(\d\S+)\.tar\.gz/releases\/download\/v$1\/misspell-fixer-$1\.tar\.gz\.asc/" \
    https://github.com/vlajos/misspell-fixer/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
